<?php
/**
* ownCloud
*
* @author Robin Appelman
* @copyright 2011 Robin Appelman icewind1991@gmail.com
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
* License as published by the Free Software Foundation; either
* version 3 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU AFFERO GENERAL PUBLIC LICENSE for more details.
*
* You should have received a copy of the GNU Affero General Public
* License along with this library.  If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * Array mapping file extensions to mimetypes (in alphabetical order).
 */
return array(
	'7z' => 'application/x-7z-compressed',
	'accdb' => 'application/msaccess',
	'ai' => 'application/illustrator',
	'avi' => 'video/x-msvideo',
	'bash' => 'text/x-shellscript',
	'blend' => 'application/x-blender',
	'bin' => 'application/x-bin',
	'bmp' => 'image/bmp',
	'cb7' => 'application/x-cbr',
	'cba' => 'application/x-cbr',
	'cbr' => 'application/x-cbr',
	'cbt' => 'application/x-cbr',
	'cbtc' => 'application/x-cbr',
	'cbz' => 'application/x-cbr',
	'cc' => 'text/x-c',
	'cdr' => 'application/coreldraw',
	'cpp' => 'text/x-c++src',
	'css' => 'text/css',
	'csv' => 'text/csv',
	'cvbdl' => 'application/x-cbr',
	'c' => 'text/x-c',
	'c++' => 'text/x-c++src',
	'deb' => 'application/x-deb',
	'doc' => 'application/msword',
	'docx' => 'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
	'dot' => 'application/msword',
	'dotx' => 'application/vnd.openxmlformats-officedocument.wordprocessingml.template',
	'dv' => 'video/dv',
	'eot' => 'application/vnd.ms-fontobject',
	'epub' => 'application/epub+zip',
	'exe' => 'application/x-ms-dos-executable',
	'flac' => 'audio/flac',
	'gif' => 'image/gif',
	'gz' => 'application/x-gzip',
	'gzip' => 'application/x-gzip',
	'html' => 'text/html',
	'htm' => 'text/html',
	'ical' => 'text/calendar',
	'ics' => 'text/calendar',
	'impress' => 'text/impress',
	'jpeg' => 'image/jpeg',
	'jpg' => 'image/jpeg',
	'js' => 'application/javascript',
	'json' => 'application/json',
	'keynote' => 'application/x-iwork-keynote-sffkey',
	'kra' => 'application/x-krita',
	'm2t' => 'video/mp2t',
	'm4v' => 'video/mp4',
	'markdown' => 'text/markdown',
	'mdown' => 'text/markdown',
	'md' => 'text/markdown',
	'mdb' => 'application/msaccess',
	'mdwn' => 'text/markdown',
	'mkv' => 'video/x-matroska',
	'mobi' => 'application/x-mobipocket-ebook',
	'mov' => 'video/quicktime',
	'mp3' => 'audio/mpeg',
	'mp4' => 'video/mp4',
	'mpeg' => 'video/mpeg',
	'mpg' => 'video/mpeg',
	'msi' => 'application/x-msi',
	'numbers' => 'application/x-iwork-numbers-sffnumbers',
	'odg' => 'application/vnd.oasis.opendocument.graphics',
	'odp' => 'application/vnd.oasis.opendocument.presentation',
	'ods' => 'application/vnd.oasis.opendocument.spreadsheet',
	'odt' => 'application/vnd.oasis.opendocument.text',
	'oga' => 'audio/ogg',
	'ogg' => 'audio/ogg',
	'ogv' => 'video/ogg',
	'otf' => 'font/opentype',
	'pages' => 'application/x-iwork-pages-sffpages',
	'pdf' => 'application/pdf',
	'php' => 'application/x-php',
	'pl' => 'application/x-perl',
	'png' => 'image/png',
	'ppt' => 'application/mspowerpoint',
	'pptx' => 'application/vnd.openxmlformats-officedocument.presentationml.presentation',
	'psd' => 'application/x-photoshop',
	'py' => 'text/x-python',
	'rar' => 'application/x-rar-compressed',
	'reveal' => 'text/reveal',
	'sgf' => 'application/sgf',
	'sh-lib' => 'text/x-shellscript',
	'sh' => 'text/x-shellscript',
	'svg' => 'image/svg+xml',
	'swf' => 'application/x-shockwave-flash',
	'tar' => 'application/x-tar',
	'tar.gz' => 'application/x-compressed',
	'tex' => 'application/x-tex',
	'tgz' => 'application/x-compressed',
	'tiff' => 'image/tiff',
	'tif' => 'image/tiff',
	'ttf' => 'application/x-font-ttf',
	'txt' => 'text/plain',
	'vcard' => 'text/vcard',
	'vcf' => 'text/vcard',
	'wav' => 'audio/wav',
	'webm' => 'video/webm',
	'woff' => 'application/font-woff',
	'wmv' => 'video/x-ms-asf',
	'xcf' => 'application/x-gimp',
	'xls' => 'application/msexcel',
	'xlsx' => 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
	'xml' => 'application/xml',
	'zip' => 'application/zip',
);
